<template>
  <syTracePage
    @navigate="$router.push"
    @search-hash="searchHash"
    :projPartyLogo="slc"
  ></syTracePage>
</template>
<script lang="ts" setup>
import { globalState } from "@/store/state";
import { syTracePage } from "cqk-sy-ui";
import slc from "@/assets/img/3.svg";

const searchHash = (hashText: string) => {
  if (hashText.trim() === "") {
    window.open(globalState.urlList.chain_browser_url);
  } else {
    window.open(
      globalState.urlList.chain_browser_url + "/product?hash=" + hashText
    );
  }
};
</script>
